CadTransportException (Java Card 3 Platform, APDU I/O Library)
Date: 2009-11-05

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javacard.apduio
Class CadTransportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javacard.apduio.CadTransportException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  T1Exception, TLP224Exception

    public abstract class CadTransportException

extends java.lang.Exception

This abstract class is the parent class of all CAD exception classes. It serves as an ancestor for T1Exception (for T=1 CAD) as well as TLP225Exception (for T=0 CAD) classes.

See Also:
  Serialized Form

Field Summary
`protected static java.util.ResourceBundle` | `_messages` Properties file with messages
`protected int` | `status` Error code
`static int` | `STATUS_UNKNOWN` Error code constant

Constructor Summary
`CadTransportException(int status)` Constructor method for exception class.

Method Summary
`java.lang.String` | `getMessage()` Returns a String describing this exception.
`int` | `getStatus()` Returns the status associated with the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _messages

    protected static java.util.ResourceBundle _messages

  Properties file with messages

### status

    protected int status

  Error code

### STATUS_UNKNOWN

    public static int STATUS_UNKNOWN

  Error code constant

Constructor Detail

### CadTransportException

    public CadTransportException(int status)

  Constructor method for exception class.

  Parameters:
    `status` - Initialization status for this exception.

Method Detail

### getStatus

    public int getStatus()

  Returns the status associated with the exception.

  Returns:
    The error status

### getMessage

    public java.lang.String getMessage()

  Returns a String describing this exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the String describing this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.